package com.ywt.outpatient.domain.entity.center;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "team")
public class Team {

    @Id
    private Integer id;

    /**
     * 团队名称
     */
    @Column(name = "name",nullable = false)
    private String name;

    /**
     * 创建时间
     */
    @Column(name = "create_time",nullable = false)
    private Date createTime;

    /**
     * 医生ID（创建者Id）
     */
    @Column(name = "doctor_id",nullable = false)
    private Integer doctorId;

    /**
     * 团队简介
     */
    @Column(name = "intro")
    private String intro;

    /**
     * 是否删除，false（0）：不删除，true（1）：删除
     */
    @Column(name = "deleted",nullable = false)
    private Boolean deleted;

    /**
     * 更新时间
     */
    @Column(name = "update_time",nullable = false)
    private Date updateTime;

    /**
     * 是否用于展示，0-否，1-是
     */
    @Column(name = "status",nullable = false)
    private Integer status;

    @Column(name = "fee", nullable = false)
    private Integer fee;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getDoctorId() {
        return doctorId;
    }

    public void setDoctorId(Integer doctorId) {
        this.doctorId = doctorId;
    }

    public String getIntro() {
        return intro;
    }

    public void setIntro(String intro) {
        this.intro = intro;
    }

    public Boolean getDeleted() {
        return deleted;
    }

    public void setDeleted(Boolean deleted) {
        this.deleted = deleted;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getFee() {
        return fee;
    }

    public void setFee(Integer fee) {
        this.fee = fee;
    }
}
